<template>
  <li>
    <h1>{{ showDate }}</h1>
    <ul>
      <screening-item
        v-for="screenings in groupedScreenings"
        :key="screenings[0].id"
        :screenings="screenings"
      ></screening-item>
    </ul>
    <br /><br />
  </li>
</template>

<script setup>
import ScreeningItem from "@/components/ScreeningItem.vue";
import { defineProps, ref, computed } from "vue";
import { useStore } from "vuex";

const store = useStore();

const props = defineProps(["screenings"]);

const showDate = computed(function () {
  const date = props.screenings[0].dateTime;
  return (
    date.substring(8, 10) +
    "." +
    date.substring(5, 7) +
    "." +
    date.substring(0, 4)
  );
});
const groupedScreenings = computed(function () {
  return groupScreenings(props.screenings);
});

function groupScreenings(screenings) {
  const grouped = [];
  const groupedTitles = [];
  for (let i = 0; i < screenings.length; i++) {
    const movieTitle = screenings[i].movieTitle;
    if (groupedTitles.includes(movieTitle)) {
      const index = groupedTitles.indexOf(movieTitle);
      grouped[index].push(screenings[i]);
    } else {
      groupedTitles.push(movieTitle);
      grouped.push([screenings[i]]);
    }
  }
  return grouped;
}

const selectedScreening = ref(null);

selectedScreening.value = store.getters.screenings.find(
  (screening) => screening.id === props.id
);
</script>

<style scoped>
h2 {
  margin: 0.2rem 0;
}

p {
  margin-top: 0.5rem;
  margin-bottom: 1rem;
}
</style>
